extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Checkbox Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Checkbox Vue Component
      script(src="/js/motion/checkbox.js")
      f7-motion-checkbox(motion)

    p Checkbox Vue component represents <a href="../docs/checkbox.html">Checkbox</a> component.
    h2 Checkbox Components
    p There are following components included:
    ul
      li `f7-checkbox`
    h2 Checkbox Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-checkbox&gt; properties
        tr
          td checked
          td boolean
          td
          td Defines whether the checkbox input is checked or not
        tr
          td indeterminate
          td boolean
          td
          td Defines whether the checkbox input is in indeterminate state or not
        tr
          td name
          td string<br>number
          td
          td Checkbox input name
        tr
          td value
          td string<br>number<br>boolean
          td
          td Checkbox input value
        tr
          td disabled
          td boolean
          td
          td Defines whether the checkbox input is disabled
        tr
          td readonly
          td boolean
          td
          td Defines whether the checkbox input is readonly
    h2 Checkbox Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;f7-checkbox&gt; events
        tr
          td change
          td Event will be triggered when checkbox state changed
    h2 Checkboxes List
    p Checkboxes List is not a separate component, but just a particular case of using <a href="list-view.html">`<f7-list>`</a>, <a href="list-item.html">`<f7-list-item>`</a>.
    :code(lang="html")
          <f7-list>
            <!-- Additional "checkbox" prop to enable checkbox list item -->
            <f7-list-item checkbox value="check_1" checked title="Checkbox 1"></f7-list-item>
            <f7-list-item checkbox value="check_2" title="Checkbox 2"></f7-list-item>
          </f7-list>
    h2 Checkbox v-model
    p Checkbox Vue component supports `v-model` on `checked` property:
    :code(lang="html")
      <template>
        <f7-page>
          <p>
            <f7-checkbox v-model:checked="jobIsDone" />
          </p>
          <f7-list>
            <f7-list-item checkbox v-model:checked="jobIsDone" title="Checkbox 1"></f7-list-item>
          </f7-list>
          <p>Job is done: {{ jobIsDone }}</p>
        </f7-page>
      </template>
      <script>
        export default {
          data() {
            return {
              jobIsDone: false,
            };
          }
        };
      </script>

    h2 Examples
    +examplePreview('vue', 'checkbox.vue', 'checkbox')
